<!DOCTYPE html>
<html lang="en">
    <meta charset="utf-8" />
    <title>Unit Circle Practice Quiz</title>
    <head>
        <link rel="stylesheet" href="https://code.getmdl.io/1.3.0/material.brown-deep_orange.min.css"/> 
        <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
        <link rel="stylesheet" href="style.css">
        <script src="https://code.getmdl.io/1.3.0/material.min.js"></script>
        <script src="https://code.getmdl.io/1.3.0/material.min.js"></script>
        <link rel="stylesheet" href="mathquill.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
        <script src="mathquill.min.js"></script>

    </head>
    <body>
        <div class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
            <header class="mdl-layout__header">
              <div class="mdl-layout__header-row">
                <span class="mdl-layout-title">Unit Circle Turkey</span>
              </div>
              <div class="mdl-layout__tab-bar mdl-js-ripple-effect mdl-layout--large-screen-only">
                <a href="index.html" class="mdl-layout__tab">Home</a>
                <a href="unitcircle.html" class="mdl-layout__tab is-active">Unit Circle Quiz</a>
                <a href="unit41.html" class="mdl-layout__tab">Unit 4.1</a>
                <a href="unit42.html" class="mdl-layout__tab">Unit 4.2</a>
                <a href="unit43.html" class="mdl-layout__tab">Unit 4.3</a>
                <a href="unit44.html" class="mdl-layout__tab">Unit 4.4</a>
                <a href="unit45.html" class="mdl-layout__tab">Unit 4.5</a>
                <a href="unit46.html" class="mdl-layout__tab">Unit 4.6</a>
                <a href="unit47.html" class="mdl-layout__tab">Unit 4.7</a>
                <a href="unit51.html" class="mdl-layout__tab">Unit 5.1</a>
                <a href="unit52.html" class="mdl-layout__tab">Unit 5.2</a>
                <a href="unit53.html" class="mdl-layout__tab">Unit 5.3</a>
              </div>
            </header>
            <div class="mdl-layout__drawer mdl-layout--small-screen-only">
              <span class="mdl-layout__title">Unit Circle Turkey</span>
              <nav class="mdl-navigation">
                <a class="mdl-navigation__link" href="index.html">Home</a>
                <a class="mdl-navigation__link" href="unitcircle.html">Unit Circle Quiz</a>
                <a class="mdl-navigation__link" href="unit41.html">Unit 4.1</a>
                <a class="mdl-navigation__link" href="unit42.html">Unit 4.2</a>
                <a class="mdl-navigation__link" href="unit43.html">Unit 4.3</a>
                <a class="mdl-navigation__link" href="unit44.html">Unit 4.4</a>
                <a class="mdl-navigation__link" href="unit45.html">Unit 4.5</a>
                <a class="mdl-navigation__link" href="unit46.html">Unit 4.6</a>
                <a class="mdl-navigation__link" href="unit47.html">Unit 4.7</a>
                <a class="mdl-navigation__link" href="unit51.html">Unit 5.1</a>
                <a class="mdl-navigation__link" href="unit52.html">Unit 5.2</a>
                <a class="mdl-navigation__link" href="unit53.html">Unit 5.3</a>
              </nav>
            </div>
            <main class="mdl-layout__content">
                <div class="mdl-grid">
                    <div class="mdl-cell mdl-cell--4-col"></div>
                    <div class="mdl-cell mdl-cell--4-col">
                        <h3>Unit Circle Quiz</h3> <br>
                        <h6>Use \pi for pi and \sqrt for square root</h6>
                        <br>
                        <table>
                          <tr>
                            <th>Degree</th>
                            <th>Radians</th>
                            <th>Reference Angle</th>
                            <th>Sine</th>
                            <th>Cosine</th>
                          </tr>
                          <tr>
                            <td>45</td>
                            <td><span id="piover4" class="mdl-badge"></span></td>
                            <td><span id="451" class="mdl-badge"></span></td>
                            <td><span id="2over21" class="mdl-badge"></span></td>
                            <td><span id="2over22" class="mdl-badge"></span></td>
                          </tr>
                          <tr>
                            <td><span id="135" class="mdl-badge"></span></td>
                            <td><span id="3pi">\frac{3\pi}{4}</span></td>
                            <td><span id="452" class="mdl-badge"></span></td>
                            <td><span id="2over23" class="mdl-badge"></span></td>
                            <td><span id="2over24" class="mdl-badge"></span></td>
                          </tr>
                          <tr>
                            <td>150</td>
                            <td><span id="5piover6" class="mdl-badge"></span></td>
                            <td><span id="30" class="mdl-badge"></span></td>
                            <td><span id="1over11" class="mdl-badge"></span></td>
                            <td><span id="3over21" class="mdl-badge"></span></td>
                          </tr>
                          <tr>
                            <td><span id="270" class="mdl-badge"></span></td>
                            <td><span id="3pi2">\frac{3\pi}{2}</span></td>
                            <td><span id="90" class="mdl-badge"></span></td>
                            <td><span id="-1" class="mdl-badge"></span></td>
                            <td><span id="0" class="mdl-badge"></span></td>
                          </tr>
                          <tr>
                            <td>300</td>
                            <td><span id="5piover3" class="mdl-badge"></span></td>
                            <td><span id="60" class="mdl-badge"></span></td>
                            <td><span id="3over22" class="mdl-badge"></span></td>
                            <td><span id="1over12" class="mdl-badge"></span></td>
                          </tr>
                        </table>
                        

                    </div>
                    <div class="mdl-cell mdl-cell--4-col"></div>
                </div>
            </main>
          </div>
    </body>
    <script>
      var pifourspan = document.getElementById('piover4');
      var fourfiveonespan = document.getElementById('451');
      var onethreefivespan = document.getElementById('135');
      var fourfivetwospan = document.getElementById('452');
      var fivepisixspan = document.getElementById('5piover6');
      var thirtyspan = document.getElementById('30');
      var twoseventyspan = document.getElementById('270');
      var ninetyspan = document.getElementById('90');
      var fivepioverthreespan = document.getElementById('5piover3');
      var sixtyspan = document.getElementById('60');
      var tworoottwentyonespan = document.getElementById('2over21');
      var tworoottwentytwospan = document.getElementById('2over22');
      var tworoottwentythreespan = document.getElementById('2over23');
      var tworoottwentyfourspan = document.getElementById('2over24');
      var threeroottwentyonespan = document.getElementById('3over21');
      var threeroottwentytwospan = document.getElementById('3over22');
      var zerospan = document.getElementById('0');
      var onespan = document.getElementById('-1');
      var oneelevenspan = document.getElementById('1over11');
      var onetwelvespan = document.getElementById('1over12');
      var latexSpan = document.getElementById('latex');
      var threePi = document.getElementById('3pi');
      var threePiTwo = document.getElementById('3pi2');
      var MQ = MathQuill.getInterface(2); // for backcompat
      MQ.StaticMath(threePi);
      MQ.StaticMath(threePiTwo);

      var pifour = MQ.MathField(pifourspan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (pifour.latex() == "\\frac{\\pi}{4}") {
              pifourspan.setAttribute("data-badge","✔")
            } else {
              pifourspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var fourfiveone = MQ.MathField(fourfiveonespan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (fourfiveone.latex() == "45") {
              fourfiveonespan.setAttribute("data-badge","✔")
            } else {
              fourfiveonespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var onethreefive = MQ.MathField(onethreefivespan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (onethreefive.latex() == "135") {
              onethreefivespan.setAttribute("data-badge","✔")
            } else {
              onethreefivespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var fourfivetwo = MQ.MathField(fourfivetwospan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (fourfivetwo.latex() == "45") {
              fourfivetwospan.setAttribute("data-badge","✔")
            } else {
              fourfivetwospan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var fivepisix = MQ.MathField(fivepisixspan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (fivepisix.latex() == "\\frac{5\\pi}{6}") {
              fivepisixspan.setAttribute("data-badge","✔")
            } else {
              fivepisixspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var thirty = MQ.MathField(thirtyspan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (thirty.latex() == "30") {
              thirtyspan.setAttribute("data-badge","✔")
            } else {
              thirtyspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var twoseventy = MQ.MathField(twoseventyspan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (twoseventy.latex() == "270") {
              twoseventyspan.setAttribute("data-badge","✔")
            } else {
              twoseventyspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var ninety = MQ.MathField(ninetyspan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (ninety.latex() == "90") {
              ninetyspan.setAttribute("data-badge","✔")
            } else {
              ninetyspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var fivepioverthree = MQ.MathField(fivepioverthreespan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (fivepioverthree.latex() == "\\frac{5\\pi}{3}") {
              fivepioverthreespan.setAttribute("data-badge","✔")
            } else {
              fivepioverthreespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var sixty = MQ.MathField(sixtyspan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (sixty.latex() == "60") {
              sixtyspan.setAttribute("data-badge","✔")
            } else {
              sixtyspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var tworoottwentyone = MQ.MathField(tworoottwentyonespan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (tworoottwentyone.latex() == "\\frac{\\sqrt{2}}{2}") {
              tworoottwentyonespan.setAttribute("data-badge","✔")
            } else {
              tworoottwentyonespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var tworoottwentytwo = MQ.MathField(tworoottwentytwospan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (tworoottwentytwo.latex() == "\\frac{\\sqrt{2}}{2}") {
              tworoottwentytwospan.setAttribute("data-badge","✔")
            } else {
              tworoottwentytwospan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var tworoottwentythree  = MQ.MathField(tworoottwentythreespan , {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (tworoottwentythree .latex() == "\\frac{\\sqrt{2}}{2}") {
              tworoottwentythreespan.setAttribute("data-badge","✔")
            } else {
              tworoottwentythreespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var tworoottwentyfour  = MQ.MathField(tworoottwentyfourspan , {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (tworoottwentyfour .latex() == "-\\frac{\\sqrt{2}}{2}") {
              tworoottwentyfourspan.setAttribute("data-badge","✔")
            } else {
              tworoottwentyfourspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var threeroottwentyone  = MQ.MathField(threeroottwentyonespan , {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (threeroottwentyone .latex() == "-\\frac{\\sqrt{3}}{2}") {
              threeroottwentyonespan.setAttribute("data-badge","✔")
            } else {
              threeroottwentyonespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var threeroottwentytwo  = MQ.MathField(threeroottwentytwospan , {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (threeroottwentytwo .latex() == "-\\frac{\\sqrt{3}}{2}") {
              threeroottwentytwospan.setAttribute("data-badge","✔")
            } else {
              threeroottwentytwospan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var oneeleven  = MQ.MathField(oneelevenspan , {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (oneeleven.latex() == "\\frac{1}{2}") {
              oneelevenspan.setAttribute("data-badge","✔")
            } else {
              oneelevenspan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var onetwelve  = MQ.MathField(onetwelvespan , {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (onetwelve.latex() == "\\frac{1}{2}") {
              onetwelvespan.setAttribute("data-badge","✔")
            } else {
              onetwelvespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var zero = MQ.MathField(zerospan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (zero.latex() == "0") {
              zerospan.setAttribute("data-badge","✔")
            } else {
              zerospan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      var one = MQ.MathField(onespan, {
        spaceBehavesLikeTab: true, // configurable
        handlers: {
          edit: function() { // useful event handlers
            //latexSpan.textContent = pifour.latex()
            if (one.latex() == "-1") {
              onespan.setAttribute("data-badge","✔")
            } else {
              onespan.setAttribute("data-badge","✘")
            }
          }
        }
      });
      </script>
</html>